### Function

# Ide TreeNodeCompare

#### Declaration

    int
    (* IdeTreeNodeCompare) (
      IdeTreeNode* node,
      IdeTreeNode* child
    )

#### Description

This callback function is a convenience wrapper around GCompareFunc.

Available since: | 3.32

#### Parameters

`node` | `IdeTreeNode`
| An `IdeTreeNode` that iterate over children.
| The data is owned by the caller of the function.
`child` | `IdeTreeNode`
| An `IdeTreeNode` to be inserted.
| The data is owned by the caller of the function.

#### Return value

Returns: | `int`
| Int.